/*
 * @LastEditors: gcz
 */
import { callApi } from '../utils/request'

export * from './mock'

//查询小班列表
export const rightScrollData = (data) =>
    callApi({
        url: 'smallClass',
        data,
        prefixUrl: 'api2',
    })

//查询基地列表
export const baseList = (data) =>
    callApi({
        url: 'finance/baseList',
        data,
        prefixUrl: 'api2',
    })

// 查询小班地图边界
export const smallClassMap = (data) =>
    callApi({
        url: 'smallClass/map',
        data,
        prefixUrl: 'api2',
    })

// 查询小班详情
export const smallClassDetail = (data) =>
    callApi({
        url: 'smallClass/detail',
        data,
        prefixUrl: 'api2',
    })

// 查询省市县
export const searchApi = (data) =>
    callApi({
        url: 'smallClass/area',
        data,
        prefixUrl: 'api2',
    })

//森林资源
// 查询小班基本信息
export const smallInfo = (data) =>
    callApi({
        url: 'forest/smallInfo',
        data,
        prefixUrl: 'api2',
    })

// 查询小班基本信息
export const farmInfo = (data) =>
    callApi({
        url: 'forest/farm',
        data,
        prefixUrl: 'api2',
    })

// 查询统计概况
export const page1numerical = (data) =>
    callApi({
        url: 'forest/statis',
        data,
        prefixUrl: 'api2',
    })

// 查询蓄积量统计
export const page1echarts01 = (data) =>
    callApi({
        url: 'forest/stock',
        data,
        prefixUrl: 'api2',
    })

// 查询面积统计
export const page1echarts02 = (data) =>
    callApi({
        url: 'forest/area',
        data,
        prefixUrl: 'api2',
    })

// 查询样地列表
export const forestSample = (data) =>
    callApi({
        url: 'forest/sample',
        data,
        prefixUrl: 'api2',
    })


// 事件信息
export const alarmDataApi = (data) =>
    callApi({
        url: 'event/latest',
        data,
        prefixUrl: 'api2',
    })

export const page6echarts01 = (data) =>
    callApi({
        url: 'event/statisVillage',
        data,
        prefixUrl: 'api2',
    })

export const page6echarts02 = (data) =>
    callApi({
        url: 'event/rate',
        data,
        prefixUrl: 'api2',
    })

export const page6numerical = (data) =>
    callApi({
        url: 'event/statis',
        data,
        prefixUrl: 'api2',
    })

export const eventList = (data) =>
    callApi({
        url: 'event/list',
        data,
        prefixUrl: 'api2',
    })

// 林木结构（树种）
export const page2numerical = (data) =>
    callApi({
        url: 'smallClass/treeStatis',
        data,
        prefixUrl: 'api2',
    })

export const page2echarts01 = (data) =>
    callApi({
        url: 'smallClass/treeComp',
        data,
        prefixUrl: 'api2',
    })

export const page2echarts02 = (data) =>
    callApi({
        url: 'smallClass/treeDist',
        data,
        prefixUrl: 'api2',
    })

export const page2echarts03 = (data) =>
    callApi({
        url: 'smallClass/treeCount',
        data,
        prefixUrl: 'api2',
    })

// 林下经济
//查询数据概况
export const page5numerical = (data) =>
    callApi({
        url: 'finance/baseInfo',
        data,
        prefixUrl: 'api2',
    })

//查询作物切换-作物信息
export const financeCateInfo = (data) =>
    callApi({
        url: 'finance/cateInfo',
        data,
        prefixUrl: 'api2',
    })

//林下经济-占地面积统计
export const page5echarts01 = (data) =>
    callApi({
        url: 'finance/baseArea',
        data,
        prefixUrl: 'api2',
    })

//林下经济-基地数量统计
export const page5echarts02 = (data) =>
    callApi({
        url: 'finance/baseCount',
        data,
        prefixUrl: 'api2',
    })

//林下经济-查询基地的农作物
export const financeBasePlant = (data) =>
    callApi({
        url: 'finance/basePlant',
        data,
        prefixUrl: 'api2',
    })

//林下经济-查询基地农作物详情
export const financeBaseDetail = (data) =>
    callApi({
        url: 'finance/baseDetail',
        data,
        prefixUrl: 'api2',
    })













// get请求带参数

// export const getQuery = (data) =>
//     callApi({
//         url: 'admin/getQuery',
//         data,
//     })

// export const postDel = (data) =>
//     callApi({
//         url: 'admin/postDel',
//         data,
//         method: 'post',
//     })

// export const postAdd = (data) =>
//     callApi({
//         url: 'admin/postAdd',
//         data,
//         method: 'post',
//         contentType: 'urlencoded',
//     })